# SmartGeofence

## SmartGeofence API

### `getSentianceId()`

> ```java
> String getSentianceId()
> ```
>
> Returns a unique geofence identifier provided by Sentiance.

### `getLatitude()`

> ```java
> double getLatitude()
> ```
>
> Returns the latitude of the geofence's center.

### `getLongitude()`

> ```java
> double getLongitude()
> ```
>
> Returns the longitude of the geofence's center.

### `getRadius()`

> ```java
> int getRadius()
> ```
>
> Returns the radius of the geofence circle in meters.

### `getExternalId()`

> ```java
> String getExternalId()
> ```
>
> Returns a unique identifier that you have provided when creating the geofence.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/smart-geofences/smartgeofence.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
